<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">
    <xsl:output method="html" indent="yes"/>

    <xsl:template match="/">
        <html lang="en" xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <link rel="stylesheet" href="films.css" />
            <title>Activitat 1</title>
            <meta charset="UTF-8" />
        </head>
        <body>
           <h2>Film List</h2> 
            <table>
                <thead>
                    <tr bgcolor="#4682B4">
                        <th>Title</th>
                        <th>Language</th>
                        <th>Year</th>
                        <th>Country</th>
                        <th>Genre</th>
                        <th>Summary</th>
                    </tr>
                </thead>
                <tbody>
                    <xsl:for-each select="films/film">
                    <tr>
                        <td>
                            <b><xsl:value-of select="title"/></b>
                        </td>
                        <td>
                            <xsl:value-of select="title/@lang"/>
                        </td>
                        <td>
                            <xsl:value-of select="year"/>
                        </td>
                        <td>
                            <xsl:value-of select="country"/>
                        </td>
                        <td>
                            <xsl:value-of select="genre"/>
                        </td>
                        <td>
                            <xsl:value-of select="summary"/>
                        </td>
                    </tr>
                    </xsl:for-each>
                </tbody>
            </table>
        </body>
        </html>  
    </xsl:template>
</xsl:stylesheet>

